Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deApiFn_ViewportLayout Class Reference

`#include <deApi.hpp>`

Collaboration diagram for deApiFn_ViewportLayout:

[legend]
List of all members.

## Public Member Functions
deApiHandle | Create ()
void | SetName (const deString &sName)
deString & | GetName ()
void | WriteToFile (const deString &sFileName)
void | LoadFromFile (const deString &sFileName)
void | SetViewportCount (int iViewports)
int | GetViewportCount ()
void | SetViewportRect (int iViewport, deFloatRect fRect)
deFloatRect | GetViewportRect (int iViewport)
void | SetViewportName (const deString &sName)
deString & | GetViewportName ()
void | SetViewportCamera (int iViewport, deApiHandle hCamera)
deApiHandle | GetViewportCamera (int iViewport)
## Private Attributes
deTArray< deFloatRect > | m_arrayViewportRects
deTArray< deString > | m_sViewportNames

## Member Function Documentation

deApiHandle deApiFn_ViewportLayout::Create | ( |  | ) |

deString& deApiFn_ViewportLayout::GetName | ( |  | ) |

deApiHandle deApiFn_ViewportLayout::GetViewportCamera | ( | int | iViewport | ) |

int deApiFn_ViewportLayout::GetViewportCount | ( |  | ) |

deString& deApiFn_ViewportLayout::GetViewportName | ( |  | ) |

deFloatRect deApiFn_ViewportLayout::GetViewportRect | ( | int | iViewport | ) |

void deApiFn_ViewportLayout::LoadFromFile | ( | const deString & | sFileName | ) |

void deApiFn_ViewportLayout::SetName | ( | const deString & | sName | ) |

void deApiFn_ViewportLayout::SetViewportCamera | ( | int | iViewport,
|  | deApiHandle | hCamera
| ) |

void deApiFn_ViewportLayout::SetViewportCount | ( | int | iViewports | ) |

void deApiFn_ViewportLayout::SetViewportName | ( | const deString & | sName | ) |

void deApiFn_ViewportLayout::SetViewportRect | ( | int | iViewport,
|  | deFloatRect | fRect
| ) |

void deApiFn_ViewportLayout::WriteToFile | ( | const deString & | sFileName | ) |

## Member Data Documentation

deTArray<deFloatRect> deApiFn_ViewportLayout::m_arrayViewportRects`[private]`

deTArray<deString> deApiFn_ViewportLayout::m_sViewportNames`[private]`

The documentation for this class was generated from the following file:

- deApi.hpp